- Detach a contact from a group conversation
You can remove participants who are contacts from a group conversation, on behalf of an admin.
You cannot remove the last remaining contact from a conversation.
Intercom API version.
By default, it's equal to the version set in the app package.
- The production API serverhttps://api.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- The european API serverhttps://api.eu.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- The australian API serverhttps://api.au.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- Detach a contact from a group conversation
- Conversation not found
- Contact not found
- Last customer
curl -i -X DELETE \
https://api.intercom.io/conversations/123/customers/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.9' \
-d '{
"admin_id": 991267500,
"customer": {
"intercom_user_id": "6657ab5c6abd0164c24b0d81"
}
}'Detach a contact from a group conversation
The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.
If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.
If marked as priority, it will return priority or else not_priority.
The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.
The id of the team assigned to the conversation. If it's not assigned to a team it will return null.
The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.
The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.
The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.
The list of teammates who participated in the conversation (wrote at least one conversation part).
An object containing information on the first users message. For a contact initiated message this will represent the users original message.
The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.
A Statistics object containing all information required for reporting, with timestamps and calculated metrics.
A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.
{ "customers": [ { … } ] }